using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_7
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			GridViewDataColumn min = new GridViewDataColumn();
			min.UniqueName = "StadiumCapacity1";
			min.Header = "StadiumCapacity";
			min.FooterTextAlignment = TextAlignment.Right;
			min.TextAlignment = TextAlignment.Right;
			min.DataMemberBinding = new Binding("StadiumCapacity");
			min.DataType = Type.GetType("System.Int32");
			min.AggregateFunctions.Add(new SumFunction{ SourceField = "StadiumCapacity"});
			this.clubsGrid.Columns.Add(min);
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			GridViewDataColumn min = new GridViewDataColumn();
			min.UniqueName = "StadiumCapacity1";
			min.Header = "StadiumCapacity";
			min.FooterTextAlignment = TextAlignment.Right;
			min.TextAlignment = TextAlignment.Right;
			min.DataMemberBinding = new Binding("StadiumCapacity");
			min.DataType = Type.GetType("System.Int32");
			min.AggregateFunctions.Add(new SumFunction{ SourceField = "StadiumCapacity"});
			this.clubsGrid.Columns.Add(min);
		}

	}
}

